<?php

use Zen\Payment\Util;

/**
 * Class ModelExtensionPaymentZen
 */
class ModelExtensionPaymentZen extends Model
{
    /**
     * @param $address
     * @param $total
     *
     * @return array
     */
    public function getMethod($address, $total)
    {

        $this->load->model('setting/setting');

        include_once(DIR_SYSTEM . '/library/payment-core/src/Util.php');

        $this->language->load('extension/payment/zen');
        $order_currency = $this->session->data['currency'];

        if (Util::canUseForCurrency($order_currency, $this->config->get('zen_currencies'))
            && $this->config->get('zen_terminal_uuid')
            && $this->config->get('zen_paywall_secret')
            && $this->config->get('zen_ipn_secret')) {

            return [
                'code' => 'zen',
                'title' => $this->config->get('zen_payment_title')
                    ?: $this->language->get('zen_payment_title_default'),
                'terms' => '',
                'sort_order' => $this->config->get('zen_sort_order'),
            ];
        }

        return [];
    }
}
